/* Install Program for Disk Librarian Program */

IF RxFuncQuery('SysLoadFuncs') THEN
    DO
      CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
           CALL SysLoadFuncs
    END

  '@Echo Off'

  Parse Source . . name_path
  path = Left(name_path,LASTPOS("\", name_path))

  Parse Value SysTextScreenSize() with rows cols
  'CLS'

  Say Center('Ŀ',cols-1)
  Say Center('Disk Librarian Installation',cols-1)
  Say Center('',cols-1)
  Say ' '
  Say Center('Please Enter the Path you wish to install Disk Librarian to.',cols)
  Say Center('Press Enter for C:\DISKLIB',COLS)

  progpath=Linein()

  If progpath = '' Then
   progpath = 'C:\DISKLIB'


  rc=SysFileTree(progpath,progdir,'D')
    If progdir.0 = 0 Then
     Do
       Say Center('Path 'progpath' Does not exists. Create it? Y/N',cols)
       ans=SysGetKey('NoEcho')
         If (ans='Y') | (ans='y') Then
          Do
           rc=SysMkDir(progpath)
            If rc <> 0 Then
             Do
              Say Center('Error Creating Directory. RC = 'rc,cols)
              Exit
             End
              Else
               Say Center('Directory Created.',cols)
          End
           Else
            Do
             Say 'Installation Aborted'
             Exit
            End
     End

    Say Center('Copying Files to 'Translate(progpath),cols)
    '@Copy 'path'DiskLib.exe' progpath
    '@Copy 'path'DiskLib.ico' progpath
    '@Copy 'path'ReadMe' progpath
    Say Center('Creating WorkPlace Shell Object...',cols)
    If SysCreateObject('WPProgram','Disk Librarian','<WP_DESKTOP>','EXENAME='progpath'\DISKLIB.EXE') Then
     Say Center('Program object created',cols)
      Else
       Say Center('Unable to create Program Object',cols)


